import * as React from "react";
export interface Options {
    text: string;
}
export interface TutorialQuestionProps {
    activeSlide: number;
    totalSlides: number;
    quizName: string | JSX.Element;
    quizId: string;
    question: string;
    options: Options[];
    answer: string;
    onClickPrev(e: any): void;
    onClickNext(e: any): void;
}
export interface TutorialQuestionStates {
    checkAnswerDisabled: boolean;
    usersAnswerValue: string;
    usersAnswerResult: string;
    resetQuestion: boolean;
}
export declare class TutorialQuestion extends React.Component<TutorialQuestionProps, TutorialQuestionStates> {
    static getDerivedStateFromProps(props: TutorialQuestionProps, state: TutorialQuestionStates): TutorialQuestionStates;
    constructor(props: any);
    render(): JSX.Element;
    private enableCheckAnswerBtn;
    private checkAnswer;
    private resetQuestion;
}
